unit ldn029u1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls, forexsrs;

const
  vers='16 May 16';

type

  { TLDN029f1 }

  TLDN029f1 = class(TForm)
    buReportSubUnitVersion: TButton;
    buListCodeDoc: TButton;
    buTwoStrings: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    meErrCodes: TMemo;
    procedure buListCodeDocClick(Sender: TObject);
    procedure buReportSubUnitVersionClick(Sender: TObject);
    procedure buTwoStringsClick(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private
    { private declarations }
    bTmp:byte;

  public
    { public declarations }
  end;

var
  LDN029f1: TLDN029f1;

implementation

{$R *.lfm}

{ TLDN029f1 }

procedure TLDN029f1.FormCreate(Sender: TObject);
begin
 LDN029f1.caption:='LDN029, Units. Vers:'+vers; //See http://sheepdogguides.com/lut/lt1Nb.htm
                         //.. to learn about this.

 bTmp:=InitForEx(0.666);
 if bTmp<>0 then showmessage('Change line in FormCreate: '+sInterpErrCode(bTmp,true));
end;

procedure TLDN029f1.Edit1Change(Sender: TObject);
begin
  label1.caption:=sCalcUSD(edit1.text);
end;

procedure TLDN029f1.buReportSubUnitVersionClick(Sender: TObject);
begin
  showmessage('Version of ForExSRs unit used in this is: '+sVerForExSRs);
end;

procedure TLDN029f1.buTwoStringsClick(Sender: TObject);
var udrTmpMain:TFXudrTwoStrings;
begin
  udrTmpMain:=sCalcDollarsAndEuros;
  showmessage('Value returned in sDollars: '+udrTmpMain.sDollars);
  showmessage('Value returned in sEuros: '+udrTmpMain.sEuros);
end;

procedure TLDN029f1.buListCodeDocClick(Sender: TObject);
var bTmpL:byte;
begin
meErrCodes.clear;
for bTmpL:=0 to bHighestUsedErrorCode do
  meErrCodes.lines.add('Code '+inttostr(BtmpL)+': '+sInterpErrCode(bTmpL,true));
end; //buListCodeDocClick


end.

